<% local form, viewlibrary, page_info, session = ... 
require("viewfunctions")
%>

<% displaycommandresults({"delete"}, session) %>

<script type="text/javascript">
function javascript_confirm_graph(formID,filename) {
	var message = "Are you sure you want to remove '" + filename + "'?";
	var return_value = confirm(message);
	if ( return_value === true ) {
		location.href="delete?filename=" + filename;
	}
}
</script>

<h2><%= form.label %></h2>

<form id="confirmDisplay" action="#" onsubmit="return false"></form>

<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Action</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:right;" class="header">Size</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Last Modified</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">File</TD>
	</TR>		
<% for i,file in ipairs(form.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
			<% if viewlibrary.check_permission("delete") then %>
				<A STYLE="cursor: pointer;" onclick="javascript_confirm_graph('confirmDisplay','<% io.write(file.value.filename.value) %>')">Delete</A>
			<% end %>
			<%
			if viewlibrary.check_permission("editgraphcfg") then io.write(html.link{value = "editgraphcfg?filename=" .. file.value.filename.value.."&redir="..page_info.orig_action, label="Edit " }) end
			%>
		</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:right;"><%= html.html_escape(file.value.filesize.value) %></TD>
		<TD style="padding-right:20px;white-space:nowrap;"><%= html.html_escape(file.value.mtime.value) %></TD>
		<TD style="white-space:nowrap;" width="90%"><%= html.html_escape(string.gsub(file.value.filename.value, "^.*/", "")) %></TD>
	</TR>
<% end %>

	<% if viewlibrary.check_permission("createrrd") then %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;">
			<% io.write(html.link{value = "newgraphcfg", label="Create new graph " }) %>
		</TD>
		<TD>&nbsp;</TD><TD>&nbsp;</TD><TD>&nbsp;</TD>
	</TR>
	<% end %>

</TABLE>

<% if viewlibrary and viewlibrary.dispatch_component and viewlibrary.check_permission("newfile") then
	local newfileform = viewlibrary.dispatch_component("newfile", nil, true) %>
<h2>Create new Domain</h2>
<%
	newfileform.action = page_info.script .. page_info.prefix .. page_info.controller .. "/newfile"
	displayform(newfileform)
end %>
