<% local form, viewlibrary, page_info = ... %>
<% require("viewfunctions") %>

<H1>Create new rrdtool-graph file</H1>

<% if form.type == "form" then %>
<% form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action %>
<% displayformstart(form) %>
<H3>File Details</H3>
<DL>
<DT><% io.write(form.value.filename.label) %></DT>
<DD>
<input class="text" type="text" name="filename" value="<%= html.html_escape(form.value.filename.value) %>">
<% if form.value.filename.errtxt then %><P CLASS='error'><%= string.gsub(html.html_escape(form.value.filename.errtxt), "\n", "<BR>") %></P><% end %>
<% if form.value.filename.descr then %><P CLASS='descr'><%= string.gsub(html.html_escape(form.value.filename.descr), "\n", "<BR>") %></P><% end %>
</DD>
</DL>
<% end %>
<H3>File Content</H3>
<textarea name="filecontent">
<%= html.html_escape(form.value.filecontent.value) %>
</textarea>
<% if form.value.filecontent.errtxt then %><P CLASS='error'><%= string.gsub(html.html_escape(form.value.filecontent.errtxt), "\n", "<BR>") %></P><% end %>
<% if form.value.filecontent.descr then %><P CLASS='descr'><%= string.gsub(html.html_escape(form.value.filecontent.descr), "\n", "<BR>") %></P><% end %>

<% if form.type == "form" then %>
<H3>Save</H3>
<% displayformend(form) %>
<% end %>
</form>
